/*
 * To change this template, choose Tools | Templates
 * and open the template in the editor.
 */
package hu.elte.fsz2014;

import java.io.IOException;
import java.io.PrintWriter;
import java.sql.Connection;
import java.sql.PreparedStatement;
import java.sql.ResultSet;
import javax.naming.InitialContext;
import javax.servlet.ServletException;
import javax.servlet.http.HttpServlet;
import javax.servlet.http.HttpServletRequest;
import javax.servlet.http.HttpServletResponse;
import javax.sql.DataSource;

/**
 *
 * @author menyhart
 */
public class Login extends HttpServlet {

    /**
     * Processes requests for both HTTP
     * <code>GET</code> and
     * <code>POST</code> methods.
     *
     * @param request servlet request
     * @param response servlet response
     * @throws ServletException if a servlet-specific error occurs
     * @throws IOException if an I/O error occurs
     */
    protected void processRequest(HttpServletRequest request, HttpServletResponse response)
            throws ServletException, IOException {
        response.setContentType("text/html;charset=UTF-8");
        PrintWriter out = response.getWriter();
        Connection conn=null;
        PreparedStatement pstmt=null;
        ResultSet rs=null;
        try {
            String user = request.getParameter("user");
            if (user==null) {
                user="";
            }
            String pass = request.getParameter("pass");
            if (pass==null) {
                pass="";
            }
            InitialContext ic = new InitialContext();
            DataSource ds = (DataSource) ic.lookup("jdbc/jegyzet");
            conn = ds.getConnection();
            String sql="SELECT * from jegyzet.users where felhasznalo=? and jelszo=?";
            pstmt=conn.prepareStatement(sql);
            pstmt.setString(1, user);
            pstmt.setString(2, pass);
            rs=pstmt.executeQuery();
            if (rs.next()) {
                request.getSession().setAttribute("user", rs.getString("FELHASZNALO"));
                request.getSession().setAttribute("right", rs.getString("JOG"));
                response.sendRedirect("list.jsp");
            } else {
                response.sendRedirect("index.jsp?error=err2");
            }
        } catch (Exception ex) {
            ex.printStackTrace();
            response.sendRedirect("index.jsp?error=err1");
        } finally {
            if (rs != null) {
                try {
                    rs.close();
                } catch (Exception ex1) {
                }
            }
            if (pstmt != null) {
                try {
                    pstmt.close();
                } catch (Exception ex1) {
                }
            }
            if (conn != null) {
                try {
                    conn.close();
                } catch (Exception ex1) {
                }
            }
            out.close();
        }
    }

    // <editor-fold defaultstate="collapsed" desc="HttpServlet methods. Click on the + sign on the left to edit the code.">
    /**
     * Handles the HTTP
     * <code>GET</code> method.
     *
     * @param request servlet request
     * @param response servlet response
     * @throws ServletException if a servlet-specific error occurs
     * @throws IOException if an I/O error occurs
     */
    @Override
    protected void doGet(HttpServletRequest request, HttpServletResponse response)
            throws ServletException, IOException {
        processRequest(request, response);
    }

    /**
     * Handles the HTTP
     * <code>POST</code> method.
     *
     * @param request servlet request
     * @param response servlet response
     * @throws ServletException if a servlet-specific error occurs
     * @throws IOException if an I/O error occurs
     */
    @Override
    protected void doPost(HttpServletRequest request, HttpServletResponse response)
            throws ServletException, IOException {
        processRequest(request, response);
    }

    /**
     * Returns a short description of the servlet.
     *
     * @return a String containing servlet description
     */
    @Override
    public String getServletInfo() {
        return "Short description";
    }// </editor-fold>
}
